/*****************************************************************
 * def.h
 * Definitions and types
 * For Rancilio Silvia Espresso machine
 * Target: AVR 8-bit MCU
 * Author: Marcus Nilsson
 * Created: 2011-01-25
 *****************************************************************/

#ifndef _DEF_H_
#define _DEF_H_

// Definitions
#define TRUE  1
#define FALSE 0

// Brew modes
#define MODE_MANUAL        0
#define MODE_AUTO          1

// Types
typedef unsigned char  UINT8;   //               0 ... 255
typedef unsigned short UINT16;  //               0 ... 65 535
typedef unsigned long  UINT32;  //               0 ... 4 294 967 295
typedef signed   char  INT8;    //            -128 ... 127
typedef signed   short INT16;   //         -32 768 ... 32 767
typedef signed   long  INT32;   //  -2 147 483 648 ... 2 147 483 647
typedef double         FLOAT32; //     +/-1.18e-38 ... +/-3.39e38
typedef unsigned char  BOOL;

typedef struct
{
	UINT8 hour;
	UINT8 minute;
	UINT8 second;
	UINT8 weekday;
} Time;

typedef struct
{
	UINT8 hour;
	UINT8 minute;
} StartTime;

typedef struct
{
	UINT8 second;
	UINT8 counter;
} TimeStamp;

#endif // EOF
