/*****************************************************************
 * heater.h
 * Handling of heating element with PID regulation
 * For Rancilio Silvia Espresso machine
 * Target: AVR 8-bit MCU
 * Author: Marcus Nilsson
 * Created: 2010-04-22
 *
 * Heater is controlled by a solid state relay.
 *****************************************************************/

#ifndef _HEATER_H_
#define _HEATER_H_

#include "def.h"

// Heater modes
#define HEAT_OFF    0
#define HEAT_NORMAL 1
#define HEAT_STEAM  2

// Functions
void initPid(void);
void pidUpdate(void);

#endif // EOF
