/*****************************************************************
 * level.c
 * Handling of water level sensor
 * For Rancilio Silvia Espresso machine
 * Target: AVR 8-bit MCU
 * Author: Marcus Nilsson
 * Created: 2010-04-29
 *****************************************************************/

#include <avr/io.h>

#include "level.h"

#define WATER_SENSE_PIN   0x40 // Pin 6 of port D

#define WATER_LEVEL_FILTER 100

// Read water level from PORTD6 pin
BOOL waterLow(void)
{
	UINT8 i;
	for(i=0; i<WATER_LEVEL_FILTER; i++)
	{
		if((PIND & WATER_SENSE_PIN) == 0) // High logical level means low water level
			return FALSE;
	}
	return TRUE;
}
