/*****************************************************************
 * serial.c
 * Handling of serial RS-232 communication
 * For Rancilio Silvia Espresso machine
 * Target: AVR 8-bit MCU
 * Author: Marcus Nilsson
 * Created: 2010-04-22
 *****************************************************************/

#include <avr/io.h>
#include <stdio.h>
#include <string.h>

#include "serial.h"

// Setup UART
void serialInit(void)
{
	UCSRA = 0x02; // Double speed
	UCSRB = 0x08; // Transmit enable
	UCSRC = 0x86; // No parity, 1 stop bit, 8 bit data
	UBRRL = 0x08; // 115200 bps
	UBRRH = 0x00; // 115200 bps
}

// Print to UART
void serialSend(FLOAT32 value)
{
	UINT8 i, len;
	char buf[8];
	sprintf(buf, "%1.0f\n\r", value);
	len = strlen(buf);
	for(i=0; i<len; i++)
	{
		while((UCSRA & 0x20) == 0); // Wait for transmit complete
		UDR = buf[i];
	}
}

