/*****************************************************************
 * serial.h
 * Handling of serial RS-232 communication
 * For Rancilio Silvia Espresso machine
 * Target: AVR 8-bit MCU
 * Author: Marcus Nilsson
 * Created: 2010-04-22
 *
 * Used to log temperatures to a PC.
 *
 * RS-232 9-pin connector
 * Pin 5: Ground
 * Pin 2: RxD
 * Pin 3: TxD
 *****************************************************************/

#ifndef _SERIAL_H_
#define _SERIAL_H_

#include "def.h"

// Functions
void serialInit(void);
void serialSend(FLOAT32 value);

#endif // EOF
