/*****************************************************************
 * time.h
 * Time handling
 * For Rancilio Silvia Espresso machine
 * Target: AVR 8-bit MCU
 * Author: Marcus Nilsson
 * Created: 2010-04-22
 *****************************************************************/

#ifndef _TIME_H_
#define _TIME_H_

#include "def.h"

// Functions
void initTimerIrq(void);
void timeReset(void);
void timeUpdate(void);
void getTime(Time *time);
void secDelay(UINT8 sec);
void getTimeStamp(TimeStamp *t);
UINT8 getElapsedSeconds(TimeStamp *fromTime);
void getStartTime(StartTime **start, Time *t);
BOOL startNow(Time *t, StartTime *st);
void incStartTime(StartTime *t);
void decStartTime(StartTime *t);
BOOL timeDisabled(StartTime *t);
BOOL steamTimeout(Time startTime);
BOOL idleTimeout(Time startTime);
void getUpTime(Time *startTime, UINT8 *hours, UINT8 *minutes);



#endif // EOF
